Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Installing SilverStripe

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

SilverStripe 3 beta 2 stucks on Building database schema


Reply

8 Posts   1233 Views

Avatar
Inventionate

21 April 2012 at 3:48am (Last edited: 21 April 2012 3:48am), Community Member, 4 Posts

Hi everyone,

I've tried to install SilverStripe 3 beta 2. The requirements of SilverStripe have been all OK. Unfortunately I have to use PHP 5.3.3.
As soon as I click install the process starts, but stucks at "Building database schema…".

I hope someone can help me and thank you in advance.

regards
Fabian

Avatar
brausend

21 April 2012 at 6:01am Community Member, 6 Posts

I've got the same problem.

But i have an error displayed:
http://imageshack.us/photo/my-images/822/bildschirmfoto20120420u.jpg

Some help?

PHP verison 5.4

cheers
max

Avatar
simon_w

21 April 2012 at 11:40am (Last edited: 21 April 2012 11:40am), Forum Moderator, 474 Posts

@Inventionate are you able to get an error message? If none is displayed, check your error logs.

@frei_schwimmer This will be fixed when the SilverStripe classes are namespaced. Until then, you can turn off the Transliterator class by adding:

FileNameFilter::$default_use_transliterator = false;
URLSegmentFilter::$default_use_transliterator = false;

to your _config.php, and then run dev/build.

Avatar
Inventionate

21 April 2012 at 8:46pm Community Member, 4 Posts

Unfortunately I don' get an error. In the Apache error logs I also can't anything. Very strange. Any idea how to get an error?

Thanks for your help.

Avatar
Lukereative

21 April 2012 at 9:20pm Community Member, 8 Posts

I fixed this problem for me by doing something really bazaar.

I had got an error one of the first times I tried to install SS3b2 about zend_translate and so I went into the folder the error mentioned - SilverStripe-cms-v3.0.0-beta2/framework/thirdparty/zend_translate_railsyaml/library/Translate - and found that all the files were missing their last letter (see attached image).
So I extracted again from the .tar but still the same problem, also tried downloading again but still the same problem.
In the end I fixed it by adding the appropriate letters to the files and that at least fixed the "Building database schema…" problem and I hopefully it will fix the transliterator error.

Attached Files
Avatar
Inventionate

21 April 2012 at 9:30pm (Last edited: 21 April 2012 9:44pm), Community Member, 4 Posts

I added the missing last letters too and now I got a fatal error. After all, a progress ;-) Thank's a lot! I attached my now appeared Error.

Attached Files
Avatar
Inventionate

22 April 2012 at 9:44pm Community Member, 4 Posts

I finally had success with my installation. Thanks again for every reply!
After all it was a little bit strange. At first I had to add the missing letters like Lukereative said. To solve the the last posted error I installed the latest 2 release and upgraded it to 3. I think it's a problem of the current installer because the system runs very well.

If I have the page ready I'll take a closer look and possibly post a bug ticket. I hope my experience may help and again thank you ;-)

regards
Fabian

Avatar
grez868

22 April 2012 at 11:29pm Community Member, 3 Posts

strangely enough I got this installed on my local server without a hitch O.o any requirements that popped up during the install process i changed as required in my wamp installation.